Login | Register
My pages Projects Community openCollabNet

Discussions > commits > svn commit: r8 - trunk

argouml-ruby
Discussion topic

Back to topic list

svn commit: r8 - trunk

Author tfmorris
Full name Tom Morris
Date 2006-10-24 23:15:30 PDT
Message Author: tfmorris
Date: 2006-10-24 23:15:30-0700
New Revision: 8

Added:
   trunk/build2.bat
   trunk/build2.sh

Log:
Add build scripts for building with Eclipse directory structure

Added: trunk/build2.bat
Url: http://argouml-ruby.​tigris.org/source/br​owse/argouml-ruby/tr​unk/build2.bat?view=​auto&rev=8
====================​====================​====================​==================
--- (empty file)
+++ trunk/build2.bat 2006-10-24 23:15:30-0700
@@ -0,0 +1,11 @@
+@echo off
+
+rem
+rem build.bat always calls the version of ant distributed with ArgoUML
+rem
+
+set SAVE_ANT_HOME=%ANT_HOME%
+set ANT_HOME=..\argouml​-core-tools\apache-​ant-1.6.5
+call %ANT_HOME%\bin\ant -Doverride.build.pro​perties=..\argouml​eclipse-ant-build.p​roperties -Dargo.root.dir=%CD%\.. %1 %2 %3 %4 %5 %6 %7 %8 %9
+set ANT_HOME=%SAVE_ANT_HOME%
+set SAVE_ANT_HOME=

Added: trunk/build2.sh
Url: http://argouml-ruby.​tigris.org/source/br​owse/argouml-ruby/tr​unk/build2.sh?view=a​uto&rev=8
====================​====================​====================​==================
--- (empty file)
+++ trunk/build2.sh 2006-10-24 23:15:30-0700
@@ -0,0 +1,29 @@
+#! /bin/sh
+# $Id: build2.sh 56 2006-03-08 16:34:13Z tfmorris $
+#
+
+# +-------------------​--------------------​--------------------​--------------+
+# | Verify and Set Required Environment Variables |
+# +-------------------​--------------------​--------------------​--------------+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "*******************​********************​********************​****"
+ echo " ERROR: JAVA_HOME environment variable not found."
+ echo ""
+ echo " Please set JAVA_HOME to the Java JDK installation directory."
+ echo "*******************​********************​********************​****"
+ exit 1
+fi
+
+#
+# build.sh always calls the version of ant distributed with ArgoUML
+#
+ANT_HOME=../argouml​-core-tools/apache-a​nt-1.6.5
+
+echo ANT_HOME is: $ANT_HOME
+echo
+echo Starting Ant...
+echo
+
+$ANT_HOME/bin/ant -Doverride.build.pro​perties=../argouml/e​clipse-ant-build.pro​perties -Dargo.root.dir=`pwd`/.. $*
+
+#exit

« Previous message in topic | 1 of 1 | Next message in topic »

Messages

Show all messages in topic

svn commit: r8 - trunk tfmorris Tom Morris 2006-10-24 23:15:30 PDT
Messages per page: